ARES_PARSE_SRV_REPLY(3)

NAME
ares_parse_srv_reply - Parse a reply to a DNS query of type SRV

SYNOPSIS
#include <ares.h>

int ares_parse_srv_reply(const unsigned char* abuf, int alen,
struct ares_srv_reply** srv_out, int *nsrvreply);

DESCRIPTION
The ares_parse_srv_reply function parses the response to a query of type SRV into a struct ares_srv_reply The parameters abuf and alen give the contents of the response. The result is stored in allocated memory and a pointer to it stored into the variable pointed to by srv_out. The number of responses is stored into the variable pointed to by nsrvreply. It is the caller's responsibility to free the resulting srv_out structure when it is no longer needed.

The structure ares_srv_reply contains the following fields:

struct ares_srv_reply {
    unsigned short weight;
    unsigned short priority;
    unsigned short port;
    char *host;
};

RETURN VALUES
ares_parse_srv_reply can return any of the following values:

ARES_SUCCESS
    The response was successfully parsed.

ARES_EBADRESP
    The response was malformatted.

ARES_ENODATA
    The response did not contain an answer to the query.

ARES_ENOMEM
    Memory was exhausted.

SEE ALSO
ares_query(3)

AUTHOR
Written by Jakub Hrozek <jhrozek@redhat.com>, on behalf of Red Hat, Inc http://www.redhat.com